﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Board
    {
        private List<Cell> Cells;
        public IReadOnlyCollection<Cell> ReadCells { get; private set; }
        // ReadCells = Cells.AsReadOnly;

        public Board()
        {
            Cells = new List<Cell>();

            for (int i = 0; i < 12; i++)
            {
                for (int j = 0; j < 12; j++)
                {
                    Cell localcell = new(i, j);
                    Cells.Add(localcell);
                }
            }
        }

        public bool AddTileInCell(int x, int y, Tile tile)
        {
            for (int i = 0; i < Cells.Count; i++)
            {
                if (this.Cells[i].GetX == x && this.Cells[i].GetY == y)
                {
                    if (Cells[i].IsFree == true)
                    {
                        return Cells[i].SetTile(tile);

                    }
                }
            }
            return false;
        }
    }
}
